<template>
  <div class="fa-card-a" shadow="never">
    <div class="mod-oss__oss">
      <zt-table-wraper v-slot="{ table }" delete-url="/sys/oss" query-url="/sys/oss/page">
        <el-form :inline="true" :model="dataForm">
          <el-form-item v-if="$hasPermission('sys:super:admin')">
            <el-button type="primary" @click="$refs.dialog1.open()">{{ $t('upload.fileUpload') }}</el-button>
            <el-button type="primary" @click="$refs.dialog2.open()">{{ $t('upload.singleImgUpload') }}</el-button>
            <el-button type="primary" @click="$refs.dialog3.open()">{{ $t('upload.multipleImgUpload') }}</el-button>
            <el-button type="primary" @click="$refs.dialog4.open()">{{ $t('upload.dragUpload') }}</el-button>
            <el-button type="primary" @click="$refs.dialog5.open()">{{ $t('upload.cutUpload') }}</el-button>
          </el-form-item>
        </el-form>
            <el-table v-adaptive="{bottomOffset:70}"
                      v-loading="table.dataLoading"
                      :data="table.dataList"
                      style="margin-top: 10px"
                      border height="100px" @selection-change="table.selectionChangeHandle"
                      @sort-change="table.sortChangeHandle">
              <el-table-column align="center" type="selection" width="40"/>
              <el-table-column :label="$t('oss.name')" prop="name">
                <template v-slot="{ row }">
                  <el-link :href="row.url" target="_blank" type="primary">{{ row.name }}</el-link>
                </template>
              </el-table-column>
              <el-table-column :label="$t('oss.size')" prop="size" width="200"/>
              <el-table-column :label="$t('oss.busiType')" prop="busiType"/>
              <el-table-column :label="$t('oss.busiField')" prop="busiField"/>
              <zt-table-column-dict :label="$t('oss.status')" dict="oss_status" prop="status" width="70"/>
              <el-table-column :label="$t('oss.createDate')" prop="createDate" sortable="custom" width="180"/>
              <zt-table-column-handle :has-delete="isCanDelete" :has-edit="false" :has-view="false" :table="table"/>
            </el-table>
        <!-- 弹窗, 上传文件 -->
        <zt-dialog ref="dialog1" append-to-body title="$t('upload.fileUpload')">
          <zt-uploader v-model="dataForm.files" :limit="2" file-type="application/pdf" multiple/>
          {{ dataForm.files }}
        </zt-dialog>
        <zt-dialog ref="dialog2" append-to-body title="$t('upload.singleImgUpload')">
          <zt-uploader v-model="dataForm.image" image/>
          {{ dataForm.image }}
        </zt-dialog>
        <zt-dialog ref="dialog3" append-to-body title="$t('upload.multipleImgUpload')">
          <zt-uploader v-model="dataForm.images" :limit="2" image multiple/>
          {{ dataForm.images }}
        </zt-dialog>
        <zt-dialog ref="dialog4" append-to-body title="$t('upload.dragUpload')">
          <zt-uploader v-model="dataForm.image2" drag image/>
          {{ dataForm.image2 }}
        </zt-dialog>
        <zt-dialog ref="dialog5" append-to-body title="$t('upload.cutUpload')">
          <zt-uploader v-model="dataForm.image3" crop/>
          {{ dataForm.image3 }}
        </zt-dialog>
      </zt-table-wraper>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      dataForm: {}
    }
  },
  methods: {
    isCanDelete(row) {
      return row.status === 0 // 临时状态才可以删除
    },
    // 上传文件
    uploadHandle() {
      this.$refs.upload.$refs.dialog.init()
    }
  }
}
</script>
<style lang="scss">
.el-dialog__body .zt-upload {
  margin: 20px 0 20px 20px;
}
</style>
